| Sign In | Join Free | My entremaqueros.com |
|
| Brand Name: JHPD | Certification: IATS16949 Certification |
| Model Number: JHPD210702 | Minimum Order Quantity: 1000pcs |
| Delivery Time: 20-30 days | Payment Terms: T/T |
| Shenzhen Johnhalm PDTec.,Ltd [China] | |
| Verified Supplier | |
| Brand Name: AIA LED | Certification: CE |
| Model Number: LED-LCT001-C-FD | Minimum Order Quantity: 30PCS |
| Delivery Time: 10-15days | Payment Terms: T/T,Western Union |
| AIA LED LIGHTING INTERNATIONAL LTD [Guangdong,China] | |
| Site Member | |
| Brand Name: BESTONE | Model Number: BT-F12 |
| Minimum Order Quantity: 50 sets | Delivery Time: 5-10 days |
| Payment Terms: T/T, Western Union, Paypal | Place of Origin: SHENZHEN |
| Shenzhen Best One Electronics Co., Ltd [Guangdong,China] | |
| Site Member | |
| Brand Name: YIHAO | Certification: CE/CCC/UL/ROSH |
| Model Number: YH-1030-2 | Minimum Order Quantity: 1Pc |
| Delivery Time: 10-20 working days | Payment Terms: L/C ,Western Union ,D/P ,D/A ,T/T , |
| Dongguan Yihao lighting Co., LTD [Guangdong,China] | |
| Verified Supplier | |
| Brand Name: GRH | Model Number: GRH-E001,GRH-RFC1004,GRH-RFC1005,GRH-RFC1011 |
| Minimum Order Quantity: 1000 PCS | Delivery Time: 20 days to 50 days after received the deposit. |
| Payment Terms: L/C, T/T, Western Union, D/P | Place of Origin: CHINA |
| WENZHOU GRH MANUFACTURE CO.,LTD [Zhejiang,China] | |
| Verified Supplier | |
| Brand Name: AIA LED | Certification: CE |
| Model Number: LED-YDL-058 | Minimum Order Quantity: 30PCS |
| Delivery Time: 10-15days | Payment Terms: T/T,Western Union |
| AIA LED LIGHTING INTERNATIONAL LTD [Guangdong,China] | |
| Site Member | |
| Cangzhou Junxi Group Co., Ltd. [Hebei,China] | |
| Site Member |
| Model Number: metal model table lamp A,B | Place of Origin: China |
| Packaging Details: plastic bag | model metal table lamp: miniature table lamppost |
| Shenzhen Lihua Model Materials Co.,Ltd [Guangdong,China] | |
| Active Member | |
| Brand Name: AIA LED | Certification: CE |
| Model Number: LED-LCT001-D-PB | Minimum Order Quantity: 30PCS |
| Delivery Time: 10-15days | Payment Terms: T/T,Western Union |
| AIA LED LIGHTING INTERNATIONAL LTD [Guangdong,China] | |
| Site Member | |
| Brand Name: AIA LED | Certification: CE |
| Model Number: LED-LCT001-D-WT | Minimum Order Quantity: 30PCS |
| Delivery Time: 10-15days | Payment Terms: T/T,Western Union |
| AIA LED LIGHTING INTERNATIONAL LTD [Guangdong,China] | |
| Site Member | |
| Brand Name: Car-refine | Certification: CE |
| Model Number: C241 | Minimum Order Quantity: 10sets |
| Delivery Time: 15 days | Payment Terms: Paypal/Western Union/ TT |
| Foshan YuLongXing Technology Co.,Ltd. [Guangdong,China] | |
| Active Member | |
| Brand Name: righthome | Certification: ISO9001,ISO14001,FSC,CE,OHSAS,China Environment Labeling |
| Minimum Order Quantity: 1sets | Delivery Time: 45days |
| Payment Terms: T/T,L/C | Place of Origin: shenzhen,china |
| Shenzhen RightHome Furniture Development Co., Ltd [Guangdong,China] | |
| Active Member | |
| Brand Name: AIA LED | Certification: CE |
| Model Number: LED-YDL-045 | Minimum Order Quantity: 30PCS |
| Delivery Time: 10-15days | Payment Terms: T/T,Western Union |
| AIA LED LIGHTING INTERNATIONAL LTD [Guangdong,China] | |
| Site Member | |
| Brand Name: AIA LED | Certification: CE |
| Model Number: LED-LCT001-D-GB | Minimum Order Quantity: 30PCS |
| Delivery Time: 10-15days | Payment Terms: T/T,Western Union |
| AIA LED LIGHTING INTERNATIONAL LTD [Guangdong,China] | |
| Site Member | |
| Brand Name: YB Connector | Certification: CE + FCC |
| Model Number: DZLS-2-135 | Minimum Order Quantity: 100 UNITS |
| Delivery Time: About 5-8 work days | Payment Terms: T/T, Western Union,paypal,credit card |
| Xi'An YingBao Auto Parts Co.,Ltd [Shaanxi,China] | |
| Verified Supplier | |
| Brand Name: AIA LED | Certification: CE |
| Model Number: LED-LCT036-BL | Minimum Order Quantity: 30PCS |
| Delivery Time: 10-15days | Payment Terms: T/T,Western Union |
| AIA LED LIGHTING INTERNATIONAL LTD [Guangdong,China] | |
| Site Member | |
| Brand Name: HF furniture | Model Number: ST-14 |
| Minimum Order Quantity: 50 | Delivery Time: 20-30 working days, which will be adjusted according to different products and inventory |
| Payment Terms: T/T | Place of Origin: Hebei China |
| Bazhou Hengfeng Furniture Co., Ltd [Hebei,China] | |
| Active Member | |
| Brand Name: LANGYIHE | Certification: IS09001:2015 |
| Model Number: A055 rock board telescopic dining table | Minimum Order Quantity: 2 |
| Delivery Time: 10 days | Place of Origin: Hebei,China |
| Langyihe Furniture Co., Ltd [Hebei,China] | |
| Verified Supplier | |
| Brand Name: HF furniture | Model Number: ST-14 |
| Minimum Order Quantity: 50 | Delivery Time: 20-30 working days, which will be adjusted according to different products and inventory |
| Payment Terms: T/T | Place of Origin: Hebei China |
| Bazhou Hengfeng Furniture Co., Ltd [Hebei,China] | |
| Verified Supplier | |